<template>
    <div>
        <h5 class="q-my-sm schedule-header">{{ $t("schedule_session.section_4.title") }}</h5>

        <p>{{ $t("schedule_session.section_4.description") }}</p>

        <p>{{ $t("schedule_session.section_4.unmute_explain") }}</p>

        <q-separator inset class="q-mb-lg q-mt-sm" />

        <AgendaEditList :participants="participants" :agenda="agenda" :usersPhone="usersPhone" />

        <div class="bottom-spacer"></div>

        <q-page-sticky position="bottom-left">
            <q-btn class="q-ma-sm" @click="() => handleNextFormSectionRequested('prev')" fab color="primary">
                <q-icon name="chevron_left" />
                <div class="q-pr-sm">{{ $t("schedule_session.prev") }}</div>
            </q-btn>
        </q-page-sticky>

        <q-page-sticky position="bottom-right">
            <div class="column justify-between">
                    <q-btn v-if="timeValid && canStartNow" class="q-ma-sm" @click="() => handleNextFormSectionRequested('start')" fab
                        color="positive">
                        <div class="q-px-sm">
                            {{ $t("schedule_session.section_4.start") }}
                        </div>
                        <q-icon name="start" />
                    </q-btn>
                    <q-btn v-else-if="timeValid" class="q-ma-sm" @click="() => handleNextFormSectionRequested('next')" fab color="orange">
                        <div class="q-px-sm">
                            {{ $t("schedule_session.section_4.schedule_meeting") }}
                        </div>
                        <q-icon name="calendar_month" />
                    </q-btn>                
            </div>
        </q-page-sticky>
    </div>
</template>

<script>

import AgendaEditList from "./AgendaEditList.vue";

export default {
    props: {
        participants: {
            required: true,
        },
        usersPhone: {
            required: true,
            type: String,
        },
        canStartNow: {
            default: false
        },
        timeValid: {
            default: false
        },
        requestSaveFormSection: {
            required: true
        },
        agenda: {
            default()
            {
                return [];
            }
        }
    },
    data()
    {
        return {
            fabRight: true,
        };
    },
    methods: {
        handleNextFormSectionRequested(direction)
        {
            this.requestSaveFormSection(direction, this.participants, this.agenda);
        },
    },
    components: {
        AgendaEditList
    },
};
</script>

<style scoped>
.stacked-btn-wrapper {
    display: inline-block;
    text-align: right;
}

.bottom-spacer {
    margin-bottom: 30px;
}

@media only screen and (min-width: 1000px) {
    .bottom-spacer {
        margin-bottom: 50px;
    }
}
</style>
